For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Nukio API
    • Introduction
    • POSTTOKEN
    • GETgroups
    • POSTfirmware
    • POSTfeature engineCutoff
    • POSTcreateUser
    • POSTdeleteUser
    • POSTupdateUser
    • POSTcreatedevice
    • POSTdeletedevice
    • POSTupdatedevice
    • GETgetGeozones
    • GETdiagnosticall
    • GETgetallDevices
    • POSTcreateGeozone
    • POSTdeleteGeozone
    • POSTupdateGeozone
    • GETgetUser
    • POSTupdateAddress
    • GETgetMonitorMetadata
    • GETgetDevice
    • GETlatest
    • GETdiagnostic
    • GETcheckaccount
    • GETgetMessages
    • POSTsetMessages
    • GETgetGeozone
    • GETgetAllPushNotifications
    • GETlostVehicles
    • GETunregister-push
    • GETsend **
    • GETgetDeviceActivations
    • GETsetViewed
    • GETactivations
    • GETgetRoutes
    • GETregister-push
    • POSTrouteUpdate
    • GETpassengerCount
    • GETgetGeozones range
    • GETfleetMetadata
    • GETcreateActivation
    • GETgetNotifications
    • POSTfeature cargoAccess
    • GETfleetData
    • GETdeviceMetadata
    • POSTupdatedevice cargoAccess
    • POSTupdatedevice engineCutoff
    • GETdeviceData
    • GETgetDeviceNotifications
    • GETgetDeviceActivations range
    • GETfleetData range
    • GETdeviceData range
LogoLogo

getDeviceNotifications

||View as Markdown|
GET
https://app.nukio.mx/api/v1/notification/getdevicenotifications/:startTime/:endTime/:deviceID/authorization
GET
/api/v1/notification/getdevicenotifications/:startTime/:endTime/:deviceID/authorization
$curl https://app.nukio.mx/api/v1/notification/getdevicenotifications/0/0/45/authorization \
> -H "authorization: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "notifications": [
3 {
4 "notificationId": "notif-1234567890",
5 "deviceId": "45",
6 "timestamp": "2024-06-15T08:30:00Z",
7 "type": "battery_low",
8 "message": "Battery level is below 15%",
9 "read": false
10 },
11 {
12 "notificationId": "notif-0987654321",
13 "deviceId": "45",
14 "timestamp": "2024-06-14T16:45:00Z",
15 "type": "geofence_exit",
16 "message": "Device has exited the designated geofence area",
17 "read": true
18 }
19 ]
20}
Was this page helpful?
Previous

deviceData

Next

getDeviceActivations range

Built with

Authentication

authorizationstring
API Key authentication via header

Path parameters

startTimestringRequired

start time of the events to call (use 0 as wildcard)

endTimestringRequired

end time of the events to call (use 0 as wildcard)

deviceIDstringRequired
Device ID number

Response

Successful response